use AdventureWorks2014;
go
----------------------------------------------------------------------------------------------------
-- Get an ACTUAL execution plan on this statement.
-- Query from Grant Fritchey, SQL Server Execution Plans, 3rd Edition, p. 136.
----------------------------------------------------------------------------------------------------
SELECT sod.CarrierTrackingNumber,
sod.LineTotal
FROM Sales.SalesOrderDetail AS sod
WHERE sod.UnitPrice = sod.LineTotal
ORDER BY sod.ModifiedDate DESC;

----------------------------------------------------------------------------------------------------
-- Pay attention to the warning icons in the plans. Some are benign, but they can be
-- an indicator of troubles.
----------------------------------------------------------------------------------------------------
